# --------- PythonQt profile -------------------
# Last changed by $Author: florian $
# $Id: PythonQt.pro 35381 2006-03-16 13:05:52Z florian $
# $Source$
# --------------------------------------------------

TARGET   = PythonQt
TEMPLATE = lib


DESTDIR    = ../lib

CONFIG += qt
CONFIG -= flat


# allow to choose static linking through the environment variable PYTHONQT_STATIC
PYTHONQT_STATIC = $$(PYTHONQT_STATIC)
isEmpty(PYTHONQT_STATIC) {
  CONFIG += dll
} else {
  CONFIG += static
}

contains(QT_MAJOR_VERSION, 5) {
  QT += widgets
}

INCLUDEPATH += $$PWD

CONFIG += BUILDING_PYTHONQT
include ( ../build/pythonqt.prf )

include ( src.pri )  

include($${PYTHONQT_GENERATED_PATH}/com_trolltech_qt_core_builtin/com_trolltech_qt_core_builtin.pri)
include($${PYTHONQT_GENERATED_PATH}/com_trolltech_qt_gui_builtin/com_trolltech_qt_gui_builtin.pri)

#Install PythonQt as Qt feature
pythoncfg.path = $$[QT_INSTALL_PREFIX]/mkspecs/features

pythoncfg.files = ../build/rpm/pythonqt.prf
isEmpty(RPMBUILDING){
    pythoncfg.files = ../build/pythonqt.prf
}

target.path = $$[QT_INSTALL_LIBS]
isEmpty(target.path) {
        target.path = $(QTDIR)/lib
}

header.path = $$[QT_INSTALL_HEADERS]/PythonQt
header.files = *.h
isEmpty(header.path) {
        header.path = $(QTDIR)/include/PythonQt
        header.files = *.h
}
guiheader.path = $$[QT_INSTALL_HEADERS]/PythonQt/gui
guiheader.files = gui/*.h
isEmpty(guiheader.path) {
        guiheader.path = $(QTDIR)/include/PythonQt/gui
        guiheader.files = gui/*.h
}
INSTALLS += header target guiheader pythoncfg
